#ifndef LINUXPROGRESSNOTIFIER_H
#define LINUXPROGRESSNOTIFIER_H

#include <string>

#ifdef WIN32
	#include <Windows.h>
#else
	#include <gtkmm.h>
#endif


#include "progressnotifier.h"


namespace Photomatix
{
	/** Class responsible for handling progress of PhotoProcessor.
	 *  It emits a signal (signal_progress) when progress is made.
	 */
#ifndef _WIN32
	class LinuxProgressNotifier: public PhotomatixImaging::ProgressNotifier
	{
	private:
		Glib::Mutex sharedObject;
		PhotomatixImaging::ProgressInfo progress;
		
	public:
		LinuxProgressNotifier();
		virtual ~LinuxProgressNotifier();
		
		virtual void SetProgress(const PhotomatixImaging::ProgressInfo& progress);
		PhotomatixImaging::ProgressInfo GetProgress();
		
		/// Signal emitted when progress is made.
		Glib::Dispatcher signal_progress;
	};
#endif
}

#endif // PROGRESSNOTIFIER_H
