#include <gtkmm.h>
#include <iostream>
#include <cassert>

#include "GladeUtils.h"
#include "processphotocontroller.h"
#include "trialform.h"
#include "../PhotomatixMisc/appproperties.h"
#include "localtext.h"
#include "dbgprintf.h"

using namespace Photomatix;
using namespace PhotomatixMisc;
using namespace std;


/*void sighandler(int signal, siginfo_t *si, void *arg)
{
	printf("Handler executed for signal");
	//context->uc_mcontext.gregs[REG_RAX] = &n;
}*/


int main (int argc, char **argv)
{
	setlocale(LC_ALL, "POSIX");
	
	/*struct sigaction sa;
	memset(&sa, 0, sizeof(struct sigaction));
	sigemptyset(&sa.sa_mask);
	sa.sa_sigaction = sighandler;
	sa.sa_flags   = SA_SIGINFO;
	sigaction(SIGSEGV, &sa, NULL);*/
	
#ifdef Release
	freopen("/dev/null", "w", stderr);
	freopen("/dev/null", "w", stdout);
	
	LocalText::LoadResourceFile("/usr/share/photomatix/DynamicText.resx");
#else
	LocalText::LoadResourceFile("DynamicText.resx");
#endif
	
	dbgprintf("Photomatix for Linux started\n");
	
	Gtk::Main kit(argc, argv);
	
	if(!AppProperties::Init()) {
		Gtk::MessageDialog dialog("Properties file not found", false, Gtk::MESSAGE_QUESTION, Gtk::BUTTONS_OK);
		dialog.set_secondary_text("Make sure it was properly installed.");
		
		int result = dialog.run();
		return 0;
	}
	
	Glib::RefPtr<Gtk::CssProvider> m_refCssProvider;
	m_refCssProvider = Gtk::CssProvider::create();
	auto refStyleContext = Gtk::StyleContext::create();//this->get_style_context();//get_style_context();
	//refStyleContext->add_provider(m_refCssProvider, GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
	refStyleContext->add_provider_for_screen(Gdk::Screen::get_default(), m_refCssProvider, GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
	//m_refCssProvider->load_from_data("GtkWidget { padding: 0; }");
#ifdef Release
	m_refCssProvider->load_from_path("/usr/share/photomatix/photomatix.css");
#else
	m_refCssProvider->load_from_path("photomatix.css");
#endif

	// Create ProcessPhotoController and show Image Window which will serve as the main window
	ProcessPhotoController controller;
	controller.ShowImageWindow();
	
	// Show Trial form if necessary
	if(!AppProperties::IsRegistered()) {
		TrialForm* trialForm;
		PhotomatixUtils::get_widget_derived("trial-form", trialForm);
		int result = trialForm->run();
	}
	
	kit.run();	

	return 0;
}
