#include "registerdialog.h"
#include "../Photomatix32/Photomatix32.h"
#include "../Photomatix32/Photomatix40Lib1.h"
#include "../PhotomatixMisc/appproperties.h"
#include "../PhotomatixMisc/stringutils.h"
#include <string>
#include <algorithm>


using namespace std;
using namespace PhotomatixMisc;
using namespace PhotomatixUtils;


namespace Photomatix
{
	RegisterDialog::RegisterDialog(BaseObjectType* cobject, const Glib::RefPtr<Gtk::Builder>& gladeBuilder):
		Gtk::Dialog::Dialog(cobject)
	{
		gladeBuilder->get_widget("txtKey", this->txtKey);
		gladeBuilder->get_widget("btnRegister", this->btnRegister);
		
		this->btnRegister->signal_clicked().connect(sigc::mem_fun(*this, &RegisterDialog::OnRegisterButtonClicked));
	}

	RegisterDialog::~RegisterDialog()
	{

	}
	
	void RegisterDialog::OnRegisterButtonClicked()
	{
		string key = this->txtKey->get_text();
		transform(key.begin(), key.end(), key.begin(), ::toupper);
		key = trim(key);
		
		bool correctKey = false;
		
		// Check the license key
		if(key.length() == 24) {
			int result = clef20(210, key.c_str());
			if (result == 1) {
				correctKey = true;
			}
		}
		
		if(correctKey) {
			Gtk::MessageDialog dialog(*this, "Registration successful. Thank you!", false, Gtk::MESSAGE_INFO, Gtk::BUTTONS_OK);
			dialog.run();
			AppProperties::SetLicenseKey(key);
			
			this->hide();
		} else {
			Gtk::MessageDialog dialog(*this, "Registration failed.", false, Gtk::MESSAGE_WARNING, Gtk::BUTTONS_OK);
			dialog.set_secondary_text("The License Key could not be validated.\nThis may be due to a typing error. If you typed your\n key code, please try copying and pasting it instead.\n\nIf you need help with registering, please go to the\nsupport page of the www.hdrsoft.com website.");
			dialog.run();
			this->txtKey->set_text("");
			this->txtKey->grab_focus();
		}
	}
}
