#include "saveimageform.h"
#include "../PhotomatixMisc/appproperties.h"

#include "appproperties.h"

#include <gtkmm/stock.h>
#include <vector>
#include <string>

using namespace std;
using namespace PhotomatixMisc;


namespace Photomatix
{
	SaveImageForm::SaveImageForm():
		FileChooserDialog("Save", Gtk::FILE_CHOOSER_ACTION_SAVE)
	{
		this->add_button(Gtk::Stock::CANCEL, Gtk::RESPONSE_CANCEL);
		this->add_button(Gtk::Stock::SAVE, Gtk::RESPONSE_OK);
		
		vector <string> jpeg = {"*.jpg", "*.jpe", "*.jpeg"};
		vector <string> tiff = {"*.tif", "*.tiff"};
		
		this->AddFilter("JPEG", jpeg);
		this->AddFilter("TIFF 16-bit", tiff);
		this->AddFilter("TIFF 8-bit", tiff);
		
		this->set_filter(this->list_filters()[AppProperties::GetSaveDialogFilter()]);
			
		
		//string prevFolder = this->get_current_folder();
		//this->set_current_folder(PhotomatixMisc::AppProperties::GetLastOpenDirectory());
		//if(this->get_current_folder().empty())
			//this->set_current_folder(prevFolder);
	}
	
	SaveImageForm::~SaveImageForm()
	{
		
	}
	
	void SaveImageForm::AddFilter(const std::string& filterName, const vector<string>& patterns)
	{
		Glib::RefPtr<Gtk::FileFilter> filter = Gtk::FileFilter::create();
		filter->set_name(filterName);
		for(uint i = 0; i < patterns.size(); ++i)
		{
			stringstream pattern;
			for(unsigned char c : patterns[i])
			{
				if(c >= 97 && c <= 122)
					pattern << "[" << (char)(c - 32) << c << "]";
				else
					pattern << c;
			}
			filter->add_pattern(pattern.str());
		}
		this->add_filter(filter);
	}

}
