
#ifndef ISC_MD5_H
#define ISC_MD5_H 1
#ifdef __cplusplus
extern "C" {
#endif

#define IDLENGTH   8
#define ISC_MD5_DIGESTLENGTH   16

typedef struct {
    unsigned int   buf[ 4];
    unsigned int   bytes[ 2];
    unsigned int   in[ 16];
} isc_md5_t;

void isc_md5_init(isc_md5_t *ctx);
void isc_md5_pmp_init(isc_md5_t *ctx);
void isc_md5_bundle_init(isc_md5_t *ctx);
void isc_md5_bundle5_init(isc_md5_t *ctx);
void isc_md5_franzis_init(isc_md5_t *ctx);
void isc_md5_lrpi_init(isc_md5_t *ctx);
//void isc_md5_invalidate(isc_md5_t *ctx);

void isc_md5_update(isc_md5_t *ctx, const unsigned char *buf, unsigned int len);

void isc_md5_final(isc_md5_t *ctx, unsigned char *digest);

//void convertToAZ19 (unsigned char *digest);
void conv2(unsigned char *digest,unsigned char *digest2);

void convbdle (unsigned char *digest, unsigned char *digest2);
void conv32 (unsigned char *digest);
void ajout_dash(int len, unsigned char *serialIn, unsigned char *serialOut);

int __stdcall ser_pml (const char clef[19]); 
int __stdcall ser_lrpi (const char clef[19]); 
int __stdcall ser_pmp32 (const char inputKey[19]); 
int __stdcall clef20 (int validationType, const char inputKey[24]);
//int ser_bundle4 (char inputKey[24]); 
 
///////////////////////////// Windows-specific functions //////////////////////////////
int gjpmp (unsigned char *digest, unsigned char *digest2);
int gj2tmpi (unsigned char *digest, unsigned char *digest2);
int  __stdcall pm_check_franzis_v4(char clef[24]);
int  __stdcall pm_check_v4(const char clef[24]);
int  __stdcall  check_pmp23 (const char *pmid, const char clef[19]);
int  __stdcall ser(const char *pmid, const char clef[19]);
int  __stdcall ser_tmp(const char *pmid, const char clef[25], int lenID);
int __stdcall ser_cl(char key[16], int qty, int count, unsigned char hash[ISC_MD5_DIGESTLENGTH]);
int __stdcall bk();
int __stdcall bk2(const char *strKey, int lLength);
int __stdcall bk3(int machID);
int __stdcall split_cl_key(const char key[34], int *keyNum, int *qty, char licKey[24]);
#ifdef __cplusplus
}
#endif

#endif /* ISC_MD5_H */
