#ifndef UTILS_H
#define UTILS_H
#ifdef __cplusplus
extern "C" {
#endif

int __stdcall post_adj (int nbProc, int iMax, int jMax, int spp0, int isBGR, int rowStride0, int bps, unsigned short *contrastLUT, float *satAdjLUT, float *sharpenParam, unsigned char *hslImage, unsigned char *pImage);
int __stdcall get_hsl (int nbProc, int iMax, int jMax, int spp0, int isBGR, int rowStride0, int bps, unsigned char *pImage, unsigned char *hslImage);
int __stdcall get_contrast_lut(float* contrastParam, int* contrastLUT);
size_t __stdcall pyram_len2(int wImage, int hImage);
int __stdcall logMinMaxMoy (int iMax0, int jMax0, float *lutE, unsigned char *bufHDR, float *lumParam);
int  __stdcall exp_lut (float *lut, int adj);
int __stdcall enhanceRawConvertedImage(int nbProc, int wImage, int hImage, int rowStride, int bps, float rawColorScalingNoHL, float gamma, unsigned char *convertedImage);
int __stdcall adjustImageLevels(int nbProc, int wImage, int hImage, int spp, int isBGRIn, int isBGROut, int rowStride0In, int rowStride0Out, int bpsIn, int bpsOut, float preGamma, float blackPct, float whitePct, float gamma, float saturationPct, unsigned char *inImage, unsigned char *outImage);
int __stdcall createFakeExposures(int nbProc, int wImage, int hImage, int spp, int isBGR, int rowStride0, int bpsIn, int bpsOut, float blackPct, float whitePct, float gamma, float saturationPct, unsigned char *inImage, unsigned char *outImage, ProgressCallback calback);
int __stdcall histo4preview(const int imW, const int imH, const int spp, int isBgr, int rowStride, unsigned char *dest8, int *histo);
int __stdcall percentile (const float perc, const size_t imageSize, const int histoLen, int *histo);
int __stdcall log_histo(size_t imageSize, int histoLen, const float minL, const float maxL, float *vectI,  int *histo);

void kelvin2XYZ(int temperature, float *xyz);
int  pm_downtower (int iRadius0, int wImage0, int hImage0, int spp0,  int bpsImage, int is360, char *fineImage, char *coarseImage);
int  pm_short_downsample (int wFine0, int hFine0, int wCoarse0, int hCoarse0, int spp0, int is360, size_t initFine, size_t initCoarse,  short *sPyram);
int  pm_uchar_downsample (int wFine0, int hFine0, int wCoarse0, int hCoarse0, int spp0, int is360, size_t initFine, size_t initCoarse,  unsigned char *sPyram);
int  pm_short_upsample (int wFine0, int hFine0, int wCoarse0, int hCoarse0, int spp, int is360, char *smallImage, char *bigImage);
int  pm_uchar_upsample (int wFine0, int hFine0, int wCoarse0, int hCoarse0, int spp, int is360, unsigned char *smallImage, unsigned char *bigImage);
int  pm_adjust_colors (int nbProc, dim_param_struct dimParam, int colorSpace, int hdrMethod, float *hdrParam, unsigned char *localAdjustmentMap, char *pImage);
int has_same_hdr_settings(int tmMethod, float *currentParam, float *newParam);
int has_color_param (int tmMethod, float *tmParam);

int __stdcall rescale_adjustment_map (int wIn, int hIn, int wOut, int hOut, int is360, unsigned char *mapIn, unsigned char *mapOut);

int progress(ProgressCallback cb, float amount);

int __stdcall brush_selection_preview(int binaryMask, int kMax, int iMax, int jMax, int rowIn, int rowOut, int spp0, unsigned char *imagesBuffer, unsigned char *ghostMask, unsigned char *resImage);

int __stdcall getIndexClosestEv(int countImages, float inputEV, float *arrEvPerPhoto);
int __stdcall pm_blend (int nbProc, dim_param_struct dimParam, int countImages, float *hdrParam, float *arrEvPerPhoto, unsigned char *localAdjustmentMap, unsigned char *sourcePhotos, unsigned char *pImage);

#ifdef __cplusplus
}
#endif
#endif
