#ifndef CONTRASTOPTIMIZERSETTINGS_H
#define CONTRASTOPTIMIZERSETTINGS_H

#include "processingsettingscontrol.h"

#include <gtkmm-3.0/gtkmm/box.h>
#include <gtkmm-3.0/gtkmm/checkbutton.h>
#include <gtkmm-3.0/gtkmm/grid.h>
#include <gtkmm-3.0/gtkmm/scale.h>
#include <sigc++/connection.h>


namespace PhotomatixControls
{
	class ContrastOptimizerSettings: public ProcessingSettingsControl
	{
	protected:
		Gtk::Scale* sldStrength;
		Gtk::Scale* sldToneCompression;
		Gtk::Scale* sldLightingEffect;
		Gtk::Scale* sldWhiteClip;
		Gtk::Scale* sldBlackClip;
		Gtk::Scale* sldLuminance;
		Gtk::Scale* sldMidtone;
		Gtk::Scale* sldColorSaturation;
		Gtk::Scale* sldColorTemperature;
		
		Gtk::Label* lblStrength;
		Gtk::Label* lblToneCompression;
		Gtk::Label* lblLightingEffect;
		Gtk::Label* lblWhiteClip;
		Gtk::Label* lblBlackClip;
		Gtk::Label* lblLuminance;
		Gtk::Label* lblMidtone;
		Gtk::Label* lblColorSaturation;
		Gtk::Label* lblColorTemperature;
		
		void OnSliderValueChanging(Gtk::Scale* sender);
		
	public:
		ContrastOptimizerSettings(BaseObjectType* cobject, const Glib::RefPtr<Gtk::Builder>& builder);
		virtual ~ContrastOptimizerSettings();
		
		PhotomatixImaging::XmpSettings GetSettings();
		void SetSettings(PhotomatixImaging::XmpSettings* settings);
	};
}
	
#endif // CONTRASTOPTIMIZERSETTINGS_H
