#ifndef EXPOSUREFUSIONSETTINGS_H
#define EXPOSUREFUSIONSETTINGS_H

#include "processingsettingscontrol.h"

#include <gtkmm-3.0/gtkmm/box.h>
#include <gtkmm-3.0/gtkmm/checkbutton.h>
#include <gtkmm-3.0/gtkmm/grid.h>
#include <gtkmm-3.0/gtkmm/scale.h>
#include <sigc++/connection.h>


namespace PhotomatixControls
{
	class ExposureFusionSettings: public ProcessingSettingsControl
	{
	protected:
		Gtk::Scale* sldStrength;
		Gtk::Scale* sldBlendingPoint;
		Gtk::Scale* sldShadows;
		Gtk::Scale* sldLocalContrast;
		Gtk::Scale* sldColorSaturation;
		Gtk::Scale* sldWhiteClip;
		Gtk::Scale* sldBlackClip;
		Gtk::Scale* sldMidtone;
		Gtk::Scale* sldTemperature;
		
		Gtk::Label* lblStrength;
		Gtk::Label* lblBlendingPoint;
		Gtk::Label* lblShadows;
		Gtk::Label* lblLocalContrast;
		Gtk::Label* lblColorSaturation;
		Gtk::Label* lblWhiteClip;
		Gtk::Label* lblBlackClip;
		Gtk::Label* lblMidtone;
		Gtk::Label* lblTemperature;
		
		void OnSliderValueChanging(Gtk::Scale* sender);
		
	public:
		ExposureFusionSettings(BaseObjectType* cobject, const Glib::RefPtr<Gtk::Builder>& builder);
		virtual ~ExposureFusionSettings();
		
		PhotomatixImaging::XmpSettings GetSettings();
		void SetSettings(PhotomatixImaging::XmpSettings* settings);
	};
}
	
#endif // TONECOMPRESSORSETTINGS_H
