#ifndef PROCESSINGSETTINGSCONTROL_H
#define PROCESSINGSETTINGSCONTROL_H


#include <gtkmm-3.0/gtkmm/box.h>
#include <gtkmm-3.0/gtkmm/builder.h>

#include "presetthumbnail.h"


namespace PhotomatixControls
{
	class ProcessingSettingsControl: public Gtk::Box
	{
	protected:
		PhotomatixImaging::XmpSettings currentSettings;
		
	public:
		ProcessingSettingsControl(BaseObjectType* cobject, const Glib::RefPtr<Gtk::Builder>& builder);
		virtual ~ProcessingSettingsControl();
		
		virtual PhotomatixImaging::XmpSettings GetSettings()=0;
		virtual void SetSettings(PhotomatixImaging::XmpSettings* settings)=0;
		/// Returns current settings
		PhotomatixImaging::XmpSettings* GetCurrentSettings();
		void OnSliderValueChanged();
		bool OnMouseUp(GdkEventButton* evt);
		
		
		sigc::signal <void, PhotomatixImaging::XmpSettings*> signal_settings_changed;
	};
}


#endif // PROCESSINGSETTINGSCONTROL_H
