#ifndef TONEBALANCERSETTINGS_H
#define TONEBALANCERSETTINGS_H

#include "processingsettingscontrol.h"

#include <gtkmm-3.0/gtkmm/box.h>
#include <gtkmm-3.0/gtkmm/checkbutton.h>
#include <gtkmm-3.0/gtkmm/grid.h>
#include <gtkmm-3.0/gtkmm/scale.h>
#include <sigc++/connection.h>


namespace PhotomatixControls
{
	class ToneBalancerSettings: public ProcessingSettingsControl
	{
	protected:
		Gtk::Scale* sldStrength;
		Gtk::Scale* sldLighting;
		Gtk::Scale* sldBrightnessBoost;
		Gtk::Scale* sldMicrocontrast;
		Gtk::Scale* sldWhitePoint;
		Gtk::Scale* sldBlackPoint;
		Gtk::Scale* sldTemperature;
		Gtk::Scale* sldSaturation;
		Gtk::Scale* sldBrightness;
		
		Gtk::Label* lblStrength;
		Gtk::Label* lblLighting;
		Gtk::Label* lblBrightnessBoost;
		Gtk::Label* lblMicrocontrast;
		Gtk::Label* lblWhitePoint;
		Gtk::Label* lblBlackPoint;
		Gtk::Label* lblTemperature;
		Gtk::Label* lblSaturation;
		Gtk::Label* lblBrightness;
		
		float scalingFloor;
		float scalingCeil;
		
		float ClipPowerOf2;
		
		void OnSliderValueChanging(Gtk::Scale* sender);
		
	public:
		ToneBalancerSettings(BaseObjectType* cobject, const Glib::RefPtr<Gtk::Builder>& builder);
		virtual ~ToneBalancerSettings();
		
		PhotomatixImaging::XmpSettings GetSettings();
		void SetSettings(PhotomatixImaging::XmpSettings* settings);
		
		void SetScalingFloor(float floor) {scalingFloor = floor;}
		void SetScalingCeil(float ceil) {scalingCeil = ceil;}
	};
}
	
#endif // TONECOMPRESSORSETTINGS_H
