#ifndef TONECOMPRESSORSETTINGS_H
#define TONECOMPRESSORSETTINGS_H

#include "processingsettingscontrol.h"

#include <gtkmm-3.0/gtkmm/box.h>
#include <gtkmm-3.0/gtkmm/checkbutton.h>
#include <gtkmm-3.0/gtkmm/grid.h>
#include <gtkmm-3.0/gtkmm/scale.h>
#include <sigc++/connection.h>


namespace PhotomatixControls
{
	class ToneCompressorSettings: public ProcessingSettingsControl
	{
	protected:
		Gtk::Scale* sldBrightness;
		Gtk::Scale* sldTonalRangeCompression;
		Gtk::Scale* sldContrastAdaptation;
		Gtk::Scale* sldWhitePoint;
		Gtk::Scale* sldBlackPoint;
		Gtk::Scale* sldTemperature;
		Gtk::Scale* sldSaturation;
		
		Gtk::Label* lblBrightnessVal;
		Gtk::Label* lblTonalRangeCompression;
		Gtk::Label* lblContrastAdaptation;
		Gtk::Label* lblWhitePoint;
		Gtk::Label* lblBlackPoint;
		Gtk::Label* lblTemperature;
		Gtk::Label* lblSaturation;
		
		void OnSliderValueChanging(Gtk::Scale* sender);
		
	public:
		ToneCompressorSettings(BaseObjectType* cobject, const Glib::RefPtr<Gtk::Builder>& builder);
		virtual ~ToneCompressorSettings();
		
		PhotomatixImaging::XmpSettings GetSettings();
		void SetSettings(PhotomatixImaging::XmpSettings* settings);
	};
}
	
#endif // TONECOMPRESSORSETTINGS_H
