#ifndef PROGRESSNOTIFIER_H
#define PROGRESSNOTIFIER_H

#include <string>

namespace PhotomatixImaging
{
	struct ProgressInfo
	{
		std::string message;
		int progress;
		int total;
	};
	
	/** Class responsible for handling progress of PhotoProcessor.
	 *  It emits a signal (signal_progress) when progress is made.
	 */
#ifndef _WIN32
	class ProgressNotifier
	{
	public:
		ProgressNotifier();
		virtual ~ProgressNotifier();
		
		virtual void SetProgress(const ProgressInfo& progress) = 0;
		virtual ProgressInfo GetProgress() = 0;
	};
#endif
}

#endif // PROGRESSNOTIFIER_H
