#ifndef GLADEUTILS_H
#define GLADEUTILS_H
#include <gtkmm.h>
#include "ResourceUtils.h"

namespace PhotomatixUtils
{
	///
	/// Replacement for get_widget_derived that creates the builder,
	/// loads the Glade resource file, then calls the real get_widget_derived
	/// Assumes that the widget definition lives in a glade file with the
	/// same name.
	template <typename T_Widget> inline void get_widget_derived(const Glib::ustring& name, T_Widget*& widget)
	{
		Glib::RefPtr<Gtk::Builder> refBuilder = Gtk::Builder::create();
		refBuilder->add_from_file(GetGladeResourcePath(name).c_str());
		refBuilder->get_widget_derived(name, widget);		
	}
}
#endif
