#ifndef LOCALTEXT_H
#define LOCALTEXT_H

#include <map>
#include <string>


class TiXmlNode;


namespace PhotomatixMisc
{
	class LocalText
	{
	private:
		static std::string KEY_NOT_FOUND;		
		
		static std::map <std::string, std::string> texts;
		
		static void Parse(TiXmlNode* pParent);
		LocalText();
		
	public:
		LocalText(LocalText const&) = delete;
		LocalText& operator=(LocalText const&) = delete;
		
		static void LoadResourceFile(const std::string& fileName);
		
		std::string& GetResourceString(const std::string& key);

		static std::string& GetTextFTPresetsSharpening() {return LocalText::texts["FT_PresetsSharpening"];}

		static std::string& GetTextFTPresetsContrast() {return LocalText::texts["FT_PresetsContrast"];}

		static std::string& GetTextFTTitle() {return LocalText::texts["FT_Title"];}

		static std::string& GetTextFTSharpenPreset() {return LocalText::texts["FT_SharpenPreset"];}

		static std::string& GetTextFTApplyContrast() {return LocalText::texts["FT_ApplyContrast"];}

		static std::string& GetTextPFShowFinishLabel() {return LocalText::texts["PF_ShowFinishLabel"];}

		static std::string& GetTextPFShowFinishTouch() {return LocalText::texts["PF_ShowFinishTouch"];}

		static std::string& GetTextFTTbpSharpening() {return LocalText::texts["FT_TbpSharpening"];}

		static std::string& GetTextFTTbpContrast() {return LocalText::texts["FT_TbpContrast"];}

		static std::string& GetTextFTTbpColors() {return LocalText::texts["FT_TbpColors"];}

		static std::string& GetTextFTChkShowAfterProcessing() {return LocalText::texts["FT_ChkShowAfterProcessing"];}

		static std::string& GetTextFTBtnReset() {return LocalText::texts["FT_BtnReset"];}

		static std::string& GetTextFTBtnDone() {return LocalText::texts["FT_BtnDone"];}

		static std::string& GetTextFTLabelsSharpeningAdjustments() {return LocalText::texts["FT_LabelsSharpeningAdjustments"];}

		static std::string& GetTextFTLabelsColorsAdjustments() {return LocalText::texts["FT_LabelsColorsAdjustments"];}

		static std::string& GetTextFTLabelsContrastCurve() {return LocalText::texts["FT_LabelsContrastCurve"];}

		static std::string& GetTextUnsupportedDNGBatch() {return LocalText::texts["UnsupportedDNGBatch"];}

		static std::string& GetTextUnsupportedDNG() {return LocalText::texts["UnsupportedDNG"];}

		static std::string& GetTextTooltipPreviewCheckboxBracketed() {return LocalText::texts["TooltipPreviewCheckboxBracketed"];}

		static std::string& GetTextTooltipPreviewCheckboxSingle() {return LocalText::texts["TooltipPreviewCheckboxSingle"];}

		static std::string& GetTextTooltipPreviewZoomSlider() {return LocalText::texts["TooltipPreviewZoomSlider"];}

		static std::string& GetTextTooltipPreviewZoomOut() {return LocalText::texts["TooltipPreviewZoomOut"];}

		static std::string& GetTextTooltipPreviewZoomIn() {return LocalText::texts["TooltipPreviewZoomIn"];}

		static std::string& GetTextEmbeddedSettingsMethodNameRealistic() {return LocalText::texts["EmbeddedSettingsMethodNameRealistic"];}

		static std::string& GetTextEmbeddedSettingsValuesRealistic() {return LocalText::texts["EmbeddedSettingsValuesRealistic"];}

		static std::string& GetTextPresetThumbnailsEnhancerSoft4() {return LocalText::texts["PresetThumbnailsEnhancerSoft4"];}

		static std::string& GetTextPresetThumbnailsEnhancerSoft3() {return LocalText::texts["PresetThumbnailsEnhancerSoft3"];}

		static std::string& GetTextPresetThumbnailsEnhancerSoft2() {return LocalText::texts["PresetThumbnailsEnhancerSoft2"];}

		static std::string& GetTextPresetThumbnailsEnhancerSoft() {return LocalText::texts["PresetThumbnailsEnhancerSoft"];}

		static std::string& GetTextPresetThumbnailsFusionMonochrome4() {return LocalText::texts["PresetThumbnailsFusionMonochrome4"];}

		static std::string& GetTextPresetThumbnailsCompressorMonochrome2() {return LocalText::texts["PresetThumbnailsCompressorMonochrome2"];}

		static std::string& GetTextPresetThumbnailsEnhancerBlackAndWhite2() {return LocalText::texts["PresetThumbnailsEnhancerBlackAndWhite2"];}

		static std::string& GetTextPresetThumbnailsEnhancerMonochrome3() {return LocalText::texts["PresetThumbnailsEnhancerMonochrome3"];}

		static std::string& GetTextPresetThumbnailsEnhancerPainterly5() {return LocalText::texts["PresetThumbnailsEnhancerPainterly5"];}

		static std::string& GetTextPresetThumbnailsEnhancerPainterly4() {return LocalText::texts["PresetThumbnailsEnhancerPainterly4"];}

		static std::string& GetTextPresetThumbnailsEnhancerPainterly3() {return LocalText::texts["PresetThumbnailsEnhancerPainterly3"];}

		static std::string& GetTextPresetThumbnailsEnhancerPainterly2() {return LocalText::texts["PresetThumbnailsEnhancerPainterly2"];}

		static std::string& GetTextPresetThumbnailsEnhancerSurreal2() {return LocalText::texts["PresetThumbnailsEnhancerSurreal2"];}

		static std::string& GetTextPresetThumbnailsEnhancerSurreal() {return LocalText::texts["PresetThumbnailsEnhancerSurreal"];}

		static std::string& GetTextSectionHideOptions() {return LocalText::texts["SectionHideOptions"];}

		static std::string& GetTextSectionShowOptions() {return LocalText::texts["SectionShowOptions"];}

		static std::string& GetTextMsgBatchRealistic() {return LocalText::texts["MsgBatchRealistic"];}

		static std::string& GetTextPresetThumbnailsRealisticDefault() {return LocalText::texts["PresetThumbnailsRealisticDefault"];}

		static std::string& GetTextMethodNameBlendingRealistic() {return LocalText::texts["MethodNameBlendingRealistic"];}

		static std::string& GetTextToolTipRealisticInfluence() {return LocalText::texts["ToolTipRealisticInfluence"];}

		static std::string& GetTextToolTipRealisticRadiusFactor() {return LocalText::texts["ToolTipRealisticRadiusFactor"];}

		static std::string& GetTextMsgErrDeletePresetFolderDoesntExist() {return LocalText::texts["MsgErrDeletePresetFolderDoesntExist"];}

		static std::string& GetTextMsgErrDeletePreset() {return LocalText::texts["MsgErrDeletePreset"];}

		static std::string& GetTextMsgDeletePreset() {return LocalText::texts["MsgDeletePreset"];}

		static std::string& GetTextImportReportAndXMore() {return LocalText::texts["ImportReportAndXMore"];}

		static std::string& GetTextSavePresetHelp() {return LocalText::texts["SavePresetHelp"];}

		static std::string& GetTextCheckboxImportInAGroupName() {return LocalText::texts["CheckboxImportInAGroupName"];}

		static std::string& GetTextBuiltinPresetsExposureFusion() {return LocalText::texts["BuiltinPresetsExposureFusion"];}

		static std::string& GetTextBuiltinPresetsBlackAndWhite() {return LocalText::texts["BuiltinPresetsBlackAndWhite"];}

		static std::string& GetTextBuiltinPresetsArtistic() {return LocalText::texts["BuiltinPresetsArtistic"];}

		static std::string& GetTextBuiltinPresetsRealistic() {return LocalText::texts["BuiltinPresetsRealistic"];}

		static std::string& GetTextBuiltinPresetsShortList() {return LocalText::texts["BuiltinPresetsShortList"];}

		static std::string& GetTextAllPresets() {return LocalText::texts["AllPresets"];}

		static std::string& GetTextTxtImportPresets() {return LocalText::texts["TxtImportPresets"];}

		static std::string& GetTextEntryEVFormMissingMetadataAbreviationOfSecond() {return LocalText::texts["EntryEVFormMissingMetadataAbreviationOfSecond"];}

		static std::string& GetTextEntryEVFormMissingMetadataEstimationInfo() {return LocalText::texts["EntryEVFormMissingMetadataEstimationInfo"];}

		static std::string& GetTextEntryEVFormMissingMetadata() {return LocalText::texts["EntryEVFormMissingMetadata"];}

		static std::string& GetTextMsgBatchSuffixContainsInvalidCharacters() {return LocalText::texts["MsgBatchSuffixContainsInvalidCharacters"];}

		static std::string& GetTextMsgBatchSuffixTooLong() {return LocalText::texts["MsgBatchSuffixTooLong"];}

		static std::string& GetTextExceptionEOMDeghost() {return LocalText::texts["ExceptionEOMDeghost"];}

		static std::string& GetTextSectionAdvancedTextHide() {return LocalText::texts["SectionAdvancedTextHide"];}

		static std::string& GetTextSectionAdvancedTextShow() {return LocalText::texts["SectionAdvancedTextShow"];}

		static std::string& GetTextSectionMoreTextHide() {return LocalText::texts["SectionMoreTextHide"];}

		static std::string& GetTextSectionMoreTextShow() {return LocalText::texts["SectionMoreTextShow"];}

		static std::string& GetTextTooltipPrefPerformanceCoresNum() {return LocalText::texts["TooltipPrefPerformanceCoresNum"];}

		static std::string& GetTextTooltipPrefGeneralThumbnailsOrientation() {return LocalText::texts["TooltipPrefGeneralThumbnailsOrientation"];}

		static std::string& GetTextMsgErrBadFont() {return LocalText::texts["MsgErrBadFont"];}

		static std::string& GetTextToolTipMaxShift() {return LocalText::texts["ToolTipMaxShift"];}

		static std::string& GetTextTooltipNoiseStrength() {return LocalText::texts["TooltipNoiseStrength"];}

		static std::string& GetTextToolTipColorSaturationFusion() {return LocalText::texts["ToolTipColorSaturationFusion"];}

		static std::string& GetTextToolTipRealisticSharpness() {return LocalText::texts["ToolTipRealisticSharpness"];}

		static std::string& GetTextToolTipRealisticStrength() {return LocalText::texts["ToolTipRealisticStrength"];}

		static std::string& GetTextToolTipAdjustSharpness() {return LocalText::texts["ToolTipAdjustSharpness"];}

		static std::string& GetTextToolTipLightEffectsLabel() {return LocalText::texts["ToolTipLightEffectsLabel"];}

		static std::string& GetTextTooltipPerspectiveCorrection() {return LocalText::texts["TooltipPerspectiveCorrection"];}

		static std::string& GetTextDeghostingQuickSelectionModeLabel() {return LocalText::texts["DeghostingQuickSelectionModeLabel"];}

		static std::string& GetTextToolTipLightEffectsMode() {return LocalText::texts["ToolTipLightEffectsMode"];}

		static std::string& GetTextToolTipSelectionModeHelp() {return LocalText::texts["ToolTipSelectionModeHelp"];}

		static std::string& GetTextUnCheckedLightingLabel() {return LocalText::texts["UnCheckedLightingLabel"];}

		static std::string& GetTextPresetsFolderChangedTitle() {return LocalText::texts["PresetsFolderChangedTitle"];}

		static std::string& GetTextPresetsFolderChangedMessage() {return LocalText::texts["PresetsFolderChangedMessage"];}

		static std::string& GetTextSelectiveTonemappingReplaceWithPhotoAt() {return LocalText::texts["SelectiveTonemappingReplaceWithPhotoAt"];}

		static std::string& GetTextSelectiveTonemappingReplaceWithOriginal() {return LocalText::texts["SelectiveTonemappingReplaceWithOriginal"];}

		static std::string& GetTextPrefPresetThumbOrientationVertical() {return LocalText::texts["PrefPresetThumbOrientationVertical"];}

		static std::string& GetTextPrefPresetThumbOrientationHorizontal() {return LocalText::texts["PrefPresetThumbOrientationHorizontal"];}

		static std::string& GetTextPrefPresetThumbOrientationAsImage() {return LocalText::texts["PrefPresetThumbOrientationAsImage"];}

		static std::string& GetTextExceptionEOMReduceNoise() {return LocalText::texts["ExceptionEOMReduceNoise"];}

		static std::string& GetTextExceptionEOMReduceCA() {return LocalText::texts["ExceptionEOMReduceCA"];}

		static std::string& GetTextExceptionErrorNotification() {return LocalText::texts["ExceptionErrorNotification"];}

		static std::string& GetTextSourceFileAlreadyInList() {return LocalText::texts["SourceFileAlreadyInList"];}

		static std::string& GetTextSourceFileTypeNotAllowed() {return LocalText::texts["SourceFileTypeNotAllowed"];}

		static std::string& GetTextNoiseReductionAllImages() {return LocalText::texts["NoiseReductionAllImages"];}

		static std::string& GetTextNoiseReductionNormalUnderex() {return LocalText::texts["NoiseReductionNormalUnderex"];}

		static std::string& GetTextNoiseReductionUnderexOnly() {return LocalText::texts["NoiseReductionUnderexOnly"];}

		static std::string& GetTextSaveDirectFileExistsTitle() {return LocalText::texts["SaveDirectFileExistsTitle"];}

		static std::string& GetTextSaveDirectFileExistsText() {return LocalText::texts["SaveDirectFileExistsText"];}

		static std::string& GetTextDoHdrProcess() {return LocalText::texts["DoHdrProcess"];}

		static std::string& GetTextUndoExposureFusion() {return LocalText::texts["UndoExposureFusion"];}

		static std::string& GetTextInitialNoPresetsText() {return LocalText::texts["InitialNoPresetsText"];}

		static std::string& GetTextInitialNoMethodText() {return LocalText::texts["InitialNoMethodText"];}

		static std::string& GetTextMethodNamesFusion() {return LocalText::texts["MethodNamesFusion"];}

		static std::string& GetTextMethodNamesTM() {return LocalText::texts["MethodNamesTM"];}

		static std::string& GetTextReducingCAOnImage() {return LocalText::texts["ReducingCAOnImage"];}

		static std::string& GetTextReducingNoiseOnImage() {return LocalText::texts["ReducingNoiseOnImage"];}

		static std::string& GetTextPrefSavingDirLastSaved() {return LocalText::texts["PrefSavingDirLastSaved"];}

		static std::string& GetTextPrefSavingDirSourceFiles() {return LocalText::texts["PrefSavingDirSourceFiles"];}

		static std::string& GetTextPrefBypassAll() {return LocalText::texts["PrefBypassAll"];}

		static std::string& GetTextPrefBypassDragDialog() {return LocalText::texts["PrefBypassDragDialog"];}

		static std::string& GetTextBatchSubfolderTypeGrouped() {return LocalText::texts["BatchSubfolderTypeGrouped"];}

		static std::string& GetTextBatchSubfolderTypeSequential() {return LocalText::texts["BatchSubfolderTypeSequential"];}

		static std::string& GetTextEmbeddedSettingsNoValue() {return LocalText::texts["EmbeddedSettingsNoValue"];}

		static std::string& GetTextEmbeddedSettingsYesValue() {return LocalText::texts["EmbeddedSettingsYesValue"];}

		static std::string& GetTextEmbeddedSettingsValuesIntensive() {return LocalText::texts["EmbeddedSettingsValuesIntensive"];}

		static std::string& GetTextEmbeddedSettingsValuesAdjust() {return LocalText::texts["EmbeddedSettingsValuesAdjust"];}

		static std::string& GetTextEmbeddedSettingsValuesTC() {return LocalText::texts["EmbeddedSettingsValuesTC"];}

		static std::string& GetTextEmbeddedSettingsValuesDE() {return LocalText::texts["EmbeddedSettingsValuesDE"];}

		static std::string& GetTextEmbeddedSettingsValuesSeparator() {return LocalText::texts["EmbeddedSettingsValuesSeparator"];}

		static std::string& GetTextEmbeddedSettingsMethodNameIntensive() {return LocalText::texts["EmbeddedSettingsMethodNameIntensive"];}

		static std::string& GetTextEmbeddedSettingsMethodNameAdjust() {return LocalText::texts["EmbeddedSettingsMethodNameAdjust"];}

		static std::string& GetTextEmbeddedSettingsMethodNameTC() {return LocalText::texts["EmbeddedSettingsMethodNameTC"];}

		static std::string& GetTextEmbeddedSettingsMethodNameDE() {return LocalText::texts["EmbeddedSettingsMethodNameDE"];}

		static std::string& GetTextSelectiveDesghostingMenuSuffixEV() {return LocalText::texts["SelectiveDesghostingMenuSuffixEV"];}

		static std::string& GetTextSelectiveDesghostingMenuSetAnotherPhoto() {return LocalText::texts["SelectiveDesghostingMenuSetAnotherPhoto"];}

		static std::string& GetTextSelectiveDesghostingMenuRemoveSelection() {return LocalText::texts["SelectiveDesghostingMenuRemoveSelection"];}

		static std::string& GetTextSelectiveDesghostingMenuMarkSelection() {return LocalText::texts["SelectiveDesghostingMenuMarkSelection"];}

		static std::string& GetTextTooltipSelectiveDesghostingTutorial() {return LocalText::texts["TooltipSelectiveDesghostingTutorial"];}

		static std::string& GetTextTooltipSelectiveDesghostingExposure() {return LocalText::texts["TooltipSelectiveDesghostingExposure"];}

		static std::string& GetTextSelectiveDesghostingVideoTutorialLink() {return LocalText::texts["SelectiveDesghostingVideoTutorialLink"];}

		static std::string& GetTextSelectiveDesghostingButtonReturnToSelectionMode() {return LocalText::texts["SelectiveDesghostingButtonReturnToSelectionMode"];}

		static std::string& GetTextPresetThumbnailsTabMyPresets() {return LocalText::texts["PresetThumbnailsTabMyPresets"];}

		static std::string& GetTextPresetThumbnailsTabBuiltIn() {return LocalText::texts["PresetThumbnailsTabBuiltIn"];}

		static std::string& GetTextPresetThumbnailsFusion2Images() {return LocalText::texts["PresetThumbnailsFusion2Images"];}

		static std::string& GetTextPresetThumbnailsFusionIntensive() {return LocalText::texts["PresetThumbnailsFusionIntensive"];}

		static std::string& GetTextPresetThumbnailsFusionAuto() {return LocalText::texts["PresetThumbnailsFusionAuto"];}

		static std::string& GetTextPresetThumbnailsFusionAdjusted() {return LocalText::texts["PresetThumbnailsFusionAdjusted"];}

		static std::string& GetTextPresetThumbnailsCompressorDeep() {return LocalText::texts["PresetThumbnailsCompressorDeep"];}

		static std::string& GetTextPresetThumbnailsEnhancerBlackAndWhite() {return LocalText::texts["PresetThumbnailsEnhancerBlackAndWhite"];}

		static std::string& GetTextPresetThumbnailsEnhancerSmooth2() {return LocalText::texts["PresetThumbnailsEnhancerSmooth2"];}

		static std::string& GetTextPresetThumbnailsEnhancerSmooth() {return LocalText::texts["PresetThumbnailsEnhancerSmooth"];}

		static std::string& GetTextPresetThumbnailsEnhancerEnhanced() {return LocalText::texts["PresetThumbnailsEnhancerEnhanced"];}

		static std::string& GetTextPresetThumbnailsEnhancerCreative3() {return LocalText::texts["PresetThumbnailsEnhancerCreative3"];}

		static std::string& GetTextPresetThumbnailsEnhancerCreative2() {return LocalText::texts["PresetThumbnailsEnhancerCreative2"];}

		static std::string& GetTextPresetThumbnailsEnhancerCreative() {return LocalText::texts["PresetThumbnailsEnhancerCreative"];}

		static std::string& GetTextPresetThumbnailsEnhancerGrunge2() {return LocalText::texts["PresetThumbnailsEnhancerGrunge2"];}

		static std::string& GetTextPresetThumbnailsEnhancerGrunge() {return LocalText::texts["PresetThumbnailsEnhancerGrunge"];}

		static std::string& GetTextPresetThumbnailsEnhancerPainterly() {return LocalText::texts["PresetThumbnailsEnhancerPainterly"];}

		static std::string& GetTextPresetThumbnailsFusionDefault() {return LocalText::texts["PresetThumbnailsFusionDefault"];}

		static std::string& GetTextPresetThumbnailsCompressorDefault() {return LocalText::texts["PresetThumbnailsCompressorDefault"];}

		static std::string& GetTextPresetThumbnailsEnhancerDefault() {return LocalText::texts["PresetThumbnailsEnhancerDefault"];}

		static std::string& GetTextRequiresAtLeastTwoImages() {return LocalText::texts["RequiresAtLeastTwoImages"];}

		static std::string& GetTextTooltipPrefNamingAutoSuffix() {return LocalText::texts["TooltipPrefNamingAutoSuffix"];}

		static std::string& GetTextTooltipPrefNamingConcatenated() {return LocalText::texts["TooltipPrefNamingConcatenated"];}

		static std::string& GetTextMsgBatchReducingNoise() {return LocalText::texts["MsgBatchReducingNoise"];}

		static std::string& GetTextTooltipShowIntermed32BitHDR() {return LocalText::texts["TooltipShowIntermed32BitHDR"];}

		static std::string& GetTextMsgBatchQueryRawBlending() {return LocalText::texts["MsgBatchQueryRawBlending"];}

		static std::string& GetTextTxtCopiedToClipboard() {return LocalText::texts["TxtCopiedToClipboard"];}

		static std::string& GetTextTxtDurationSeconds() {return LocalText::texts["TxtDurationSeconds"];}

		static std::string& GetTextTxtDurationSecond() {return LocalText::texts["TxtDurationSecond"];}

		static std::string& GetTextShowPreview() {return LocalText::texts["ShowPreview"];}

		static std::string& GetTextBuiltinPresetNamesAdjust() {return LocalText::texts["BuiltinPresetNamesAdjust"];}

		static std::string& GetTextBuiltinPresetNamesToneCompressor() {return LocalText::texts["BuiltinPresetNamesToneCompressor"];}

		static std::string& GetTextBuiltinPresetNamesDetailsEnhancer() {return LocalText::texts["BuiltinPresetNamesDetailsEnhancer"];}

		static std::string& GetTextMsgBatchNotEnoughImages() {return LocalText::texts["MsgBatchNotEnoughImages"];}

		static std::string& GetTextMsgBatchCombinationInfo() {return LocalText::texts["MsgBatchCombinationInfo"];}

		static std::string& GetTextSldShC() {return LocalText::texts["SldShC"];}

		static std::string& GetTextHLPTMMS() {return LocalText::texts["HLP_TM_MS"];}

		static std::string& GetTextToolTipBlackPoint() {return LocalText::texts["ToolTipBlackPoint"];}

		static std::string& GetTextToolTipWhitePointTC() {return LocalText::texts["ToolTipWhitePointTC"];}

		static std::string& GetTextSldMC() {return LocalText::texts["SldMC"];}

		static std::string& GetTextSldShS() {return LocalText::texts["SldShS"];}

		static std::string& GetTextSldHL() {return LocalText::texts["SldHL"];}

		static std::string& GetTextButtonProcessToLightroom() {return LocalText::texts["ButtonProcessToLightroom"];}

		static std::string& GetTextTooltipProcessButtonToLightroom() {return LocalText::texts["TooltipProcessButtonToLightroom"];}

		static std::string& GetTextToolTipProcessButtonTM() {return LocalText::texts["ToolTipProcessButtonTM"];}

		static std::string& GetTextSldStrength() {return LocalText::texts["SldStrength"];}

		static std::string& GetTextTooltipColorSaturation() {return LocalText::texts["TooltipColorSaturation"];}

		static std::string& GetTextTooltipToneCompressorSldTonalRange() {return LocalText::texts["TooltipToneCompressorSldTonalRange"];}

		static std::string& GetTextSldLumin() {return LocalText::texts["SldLumin"];}

		static std::string& GetTextHLPTMSMOOTH() {return LocalText::texts["HLP_TM_SMOOTH"];}

		static std::string& GetTextChkPano() {return LocalText::texts["ChkPano"];}

		static std::string& GetTextTooltipToneCompressorSldBrightness() {return LocalText::texts["TooltipToneCompressorSldBrightness"];}

		static std::string& GetTextToolTipGamma() {return LocalText::texts["ToolTipGamma"];}

		static std::string& GetTextTooltipToneCompressorSldContrastAdaptation() {return LocalText::texts["TooltipToneCompressorSldContrastAdaptation"];}

		static std::string& GetTextSldColorTemp() {return LocalText::texts["SldColorTemp"];}

		static std::string& GetTextHLPTMSAT() {return LocalText::texts["HLP_TM_SAT"];}

		static std::string& GetTextSldSatSH() {return LocalText::texts["SldSatSH"];}

		static std::string& GetTextMsgBatchQueryPartialFolderSelect() {return LocalText::texts["MsgBatchQueryPartialFolderSelect"];}

		static std::string& GetTextSldSatHL() {return LocalText::texts["SldSatHL"];}

		static std::string& GetTextBatchAdvSelHelpPartial() {return LocalText::texts["BatchAdvSelHelpPartial"];}

		static std::string& GetTextBatchAdvSelHelpAuto() {return LocalText::texts["BatchAdvSelHelpAuto"];}

		static std::string& GetTextMsgBatchErrPartSelOne() {return LocalText::texts["MsgBatchErrPartSelOne"];}

		static std::string& GetTextMsgBatchErrPartSelNone() {return LocalText::texts["MsgBatchErrPartSelNone"];}

		static std::string& GetTextTxtLast() {return LocalText::texts["TxtLast"];}

		static std::string& GetTextTxtFrame() {return LocalText::texts["TxtFrame"];}

		static std::string& GetTextTxtNinth() {return LocalText::texts["TxtNinth"];}

		static std::string& GetTextTxtEighth() {return LocalText::texts["TxtEighth"];}

		static std::string& GetTextTxtSeventh() {return LocalText::texts["TxtSeventh"];}

		static std::string& GetTextTxtSixth() {return LocalText::texts["TxtSixth"];}

		static std::string& GetTextTxtFifth() {return LocalText::texts["TxtFifth"];}

		static std::string& GetTextTxtFourth() {return LocalText::texts["TxtFourth"];}

		static std::string& GetTextTxtThird() {return LocalText::texts["TxtThird"];}

		static std::string& GetTextTxtSecond() {return LocalText::texts["TxtSecond"];}

		static std::string& GetTextTxtFirst() {return LocalText::texts["TxtFirst"];}

		static std::string& GetTextExportProgramNotFound() {return LocalText::texts["ExportProgramNotFound"];}

		static std::string& GetTextUnknownFileFormat() {return LocalText::texts["UnknownFileFormat"];}

		static std::string& GetTextFileExistsTitle() {return LocalText::texts["FileExistsTitle"];}

		static std::string& GetTextMsgOverwriteFilePrompt() {return LocalText::texts["MsgOverwriteFilePrompt"];}

		static std::string& GetTextMsgErrSaveFileReason() {return LocalText::texts["MsgErrSaveFileReason"];}

		static std::string& GetTextMsgErrSaveFile() {return LocalText::texts["MsgErrSaveFile"];}

		static std::string& GetTextToneMapCancel() {return LocalText::texts["ToneMapCancel"];}

		static std::string& GetTextMsgErrLoadThumb() {return LocalText::texts["MsgErrLoadThumb"];}

		static std::string& GetTextMsgBatchWarnStripAlign() {return LocalText::texts["MsgBatchWarnStripAlign"];}

		static std::string& GetTextMsgRegErrCD() {return LocalText::texts["MsgRegErrCD"];}

		static std::string& GetTextMsgBatchErrNoSetsFound() {return LocalText::texts["MsgBatchErrNoSetsFound"];}

		static std::string& GetTextBatchNoXMPFileFound() {return LocalText::texts["BatchNoXMPFileFound"];}

		static std::string& GetTextBatchUsingXMPFile() {return LocalText::texts["BatchUsingXMPFile"];}

		static std::string& GetTextBracketSelectImagesAtATime() {return LocalText::texts["BracketSelectImagesAtATime"];}

		static std::string& GetTextAutoFindBracketedSets() {return LocalText::texts["AutoFindBracketedSets"];}

		static std::string& GetTextToolTipUseXMPSettingsFile() {return LocalText::texts["ToolTipUseXMPSettingsFile"];}

		static std::string& GetTextMsgNotEnoughMemory() {return LocalText::texts["MsgNotEnoughMemory"];}

		static std::string& GetTextExportDefaultProgram() {return LocalText::texts["ExportDefaultProgram"];}

		static std::string& GetTextMsgErrProcessTM() {return LocalText::texts["MsgErrProcessTM"];}

		static std::string& GetTextMsgErrLoadingFile() {return LocalText::texts["MsgErrLoadingFile"];}

		static std::string& GetTextMsgErrOpenHelp() {return LocalText::texts["MsgErrOpenHelp"];}

		static std::string& GetTextMsgErrBlendingProcess() {return LocalText::texts["MsgErrBlendingProcess"];}

		static std::string& GetTextMsgErrBadFileType() {return LocalText::texts["MsgErrBadFileType"];}

		static std::string& GetTextMsgErrProcessNoImages() {return LocalText::texts["MsgErrProcessNoImages"];}

		static std::string& GetTextUpdateErrorCheck() {return LocalText::texts["UpdateErrorCheck"];}

		static std::string& GetTextUpdateUrl2Check() {return LocalText::texts["UpdateUrl2Check"];}

		static std::string& GetTextUpdateUpToDate() {return LocalText::texts["UpdateUpToDate"];}

		static std::string& GetTextUpdateNotNeeded() {return LocalText::texts["UpdateNotNeeded"];}

		static std::string& GetTextUrlOrderMicroApplication() {return LocalText::texts["UrlOrderMicroApplication"];}

		static std::string& GetTextNoDialogBlending() {return LocalText::texts["NoDialogBlending"];}

		static std::string& GetTextToolTipSkipDialogs() {return LocalText::texts["ToolTipSkipDialogs"];}

		static std::string& GetTextToolTipAdjustMidtonesAdjustment() {return LocalText::texts["ToolTipAdjustMidtonesAdjustment"];}

		static std::string& GetTextToolTipAdjustBlackClip() {return LocalText::texts["ToolTipAdjustBlackClip"];}

		static std::string& GetTextToolTipAdjustWhiteClip() {return LocalText::texts["ToolTipAdjustWhiteClip"];}

		static std::string& GetTextToolTipAdjustShadows() {return LocalText::texts["ToolTipAdjustShadows"];}

		static std::string& GetTextToolTipAdjustBlendingPoint() {return LocalText::texts["ToolTipAdjustBlendingPoint"];}

		static std::string& GetTextToolTipAdjustAccentuation() {return LocalText::texts["ToolTipAdjustAccentuation"];}

		static std::string& GetTextToolTipGenHdrReduceNoise() {return LocalText::texts["ToolTipGenHdrReduceNoise"];}

		static std::string& GetTextToolTipNRAfter() {return LocalText::texts["ToolTipNRAfter"];}

		static std::string& GetTextToolTipNRBefore() {return LocalText::texts["ToolTipNRBefore"];}

		static std::string& GetTextToolTipGenHdrReduceCA() {return LocalText::texts["ToolTipGenHdrReduceCA"];}

		static std::string& GetTextMsgBatchErrMin2Files() {return LocalText::texts["MsgBatchErrMin2Files"];}

		static std::string& GetTextLargeFileToneMappingDone() {return LocalText::texts["LargeFileToneMappingDone"];}

		static std::string& GetTextTxtLoad4() {return LocalText::texts["TxtLoad4"];}

		static std::string& GetTextMsgBatchEndNoOutput() {return LocalText::texts["MsgBatchEndNoOutput"];}

		static std::string& GetTextTiff16BitLabel() {return LocalText::texts["Tiff16BitLabel"];}

		static std::string& GetTextTiff8BitLabel() {return LocalText::texts["Tiff8BitLabel"];}

		static std::string& GetTextJpeg8BitLabel() {return LocalText::texts["Jpeg8BitLabel"];}

		static std::string& GetTextMsgBatchStripJpeg() {return LocalText::texts["MsgBatchStripJpeg"];}

		static std::string& GetTextMsgBatchStripAlignErr() {return LocalText::texts["MsgBatchStripAlignErr"];}

		static std::string& GetTextMsgOutOfMemoryBatchConvertUseStrip() {return LocalText::texts["MsgOutOfMemoryBatchConvertUseStrip"];}

		static std::string& GetTextMsgOutOfMemoryBatchUseStrip() {return LocalText::texts["MsgOutOfMemoryBatchUseStrip"];}

		static std::string& GetTextMsgOutOfMemoryBatch() {return LocalText::texts["MsgOutOfMemoryBatch"];}

		static std::string& GetTextProgressReduceNoise() {return LocalText::texts["ProgressReduceNoise"];}

		static std::string& GetTextProgressReduceCA() {return LocalText::texts["ProgressReduceCA"];}

		static std::string& GetTextErrorNoToneMapImage() {return LocalText::texts["ErrorNoToneMapImage"];}

		static std::string& GetTextThumbGenProgressTitle() {return LocalText::texts["ThumbGenProgressTitle"];}

		static std::string& GetTextImgLoadingProgressTitle() {return LocalText::texts["ImgLoadingProgressTitle"];}

		static std::string& GetTextGenHdrProgressTitle() {return LocalText::texts["GenHdrProgressTitle"];}

		static std::string& GetTextBlendingImage2() {return LocalText::texts["BlendingImage2"];}

		static std::string& GetTextBlendingImage1() {return LocalText::texts["BlendingImage1"];}

		static std::string& GetTextAllImagesExtensionLabel() {return LocalText::texts["AllImagesExtensionLabel"];}

		static std::string& GetTextAllExtensionLabel() {return LocalText::texts["AllExtensionLabel"];}

		static std::string& GetTextToneMappingProcessingStatus() {return LocalText::texts["ToneMappingProcessingStatus"];}

		static std::string& GetTextToneMappingProcessingTitle() {return LocalText::texts["ToneMappingProcessingTitle"];}

		static std::string& GetTextBlendingProcessingAbort() {return LocalText::texts["BlendingProcessingAbort"];}

		static std::string& GetTextBlendingProcessingCancel() {return LocalText::texts["BlendingProcessingCancel"];}

		static std::string& GetTextBlendingProcessingTitle() {return LocalText::texts["BlendingProcessingTitle"];}

		static std::string& GetTextBlendingProcessingStatus() {return LocalText::texts["BlendingProcessingStatus"];}

		static std::string& GetTextUrlUpgrade() {return LocalText::texts["UrlUpgrade"];}

		static std::string& GetTextUrlOrder() {return LocalText::texts["UrlOrder"];}

		static std::string& GetTextUrlFAQ() {return LocalText::texts["UrlFAQ"];}

		static std::string& GetTextUrlSupport() {return LocalText::texts["UrlSupport"];}

		static std::string& GetTextMsgOutOfMemTonemappingPreview() {return LocalText::texts["MsgOutOfMemTonemappingPreview"];}

		static std::string& GetTextMsgOutOfMemFusion() {return LocalText::texts["MsgOutOfMemFusion"];}

		static std::string& GetTextMsgOutOfMemTonemapping() {return LocalText::texts["MsgOutOfMemTonemapping"];}

		static std::string& GetTextMsgOutOfMemCombineNoMoreMem() {return LocalText::texts["MsgOutOfMemCombineNoMoreMem"];}

		static std::string& GetTextMsgOutOfMemCombine() {return LocalText::texts["MsgOutOfMemCombine"];}

		static std::string& GetTextMsgPsdNotRgb() {return LocalText::texts["MsgPsdNotRgb"];}

		static std::string& GetTextToolTipShortcutTutorial() {return LocalText::texts["ToolTipShortcutTutorial"];}

		static std::string& GetTextToolTipShortcutBatchSingle() {return LocalText::texts["ToolTipShortcutBatchSingle"];}

		static std::string& GetTextToolTipShortcutBatch() {return LocalText::texts["ToolTipShortcutBatch"];}

		static std::string& GetTextToolTipShortcutSaveSettings() {return LocalText::texts["ToolTipShortcutSaveSettings"];}

		static std::string& GetTextToolTipShortcutViewSettings() {return LocalText::texts["ToolTipShortcutViewSettings"];}

		static std::string& GetTextToolTipShortcutTonemapping() {return LocalText::texts["ToolTipShortcutTonemapping"];}

		static std::string& GetTextToolTipShortcutLoadPhotos() {return LocalText::texts["ToolTipShortcutLoadPhotos"];}

		static std::string& GetTextToolTipStripProcessing() {return LocalText::texts["ToolTipStripProcessing"];}

		static std::string& GetTextToolTipHDRColorSpace() {return LocalText::texts["ToolTipHDRColorSpace"];}

		static std::string& GetTextToolTipLinear() {return LocalText::texts["ToolTipLinear"];}

		static std::string& GetTextToolTipEVSpacingForceAlways() {return LocalText::texts["ToolTipEVSpacingForceAlways"];}

		static std::string& GetTextToolTipEVSpacingForceMissing() {return LocalText::texts["ToolTipEVSpacingForceMissing"];}

		static std::string& GetTextOpt1Bilinear() {return LocalText::texts["Opt1Bilinear"];}

		static std::string& GetTextOpt0NN() {return LocalText::texts["Opt0NN"];}

		static std::string& GetTextOpt2Bicubic() {return LocalText::texts["Opt2Bicubic"];}

		static std::string& GetTextCmdSave() {return LocalText::texts["CmdSave"];}

		static std::string& GetTextCmdUndo() {return LocalText::texts["CmdUndo"];}

		static std::string& GetTextCmdRedo() {return LocalText::texts["CmdRedo"];}

		static std::string& GetTextChkStrip() {return LocalText::texts["ChkStrip"];}

		static std::string& GetTextChkLinear() {return LocalText::texts["ChkLinear"];}

		static std::string& GetTextTxtUser() {return LocalText::texts["TxtUser"];}

		static std::string& GetTextCmdApply() {return LocalText::texts["CmdApply"];}

		static std::string& GetTextChkTifAsRaw() {return LocalText::texts["ChkTifAsRaw"];}

		static std::string& GetTextLblVal0() {return LocalText::texts["LblVal0"];}

		static std::string& GetTextLblVal() {return LocalText::texts["LblVal"];}

		static std::string& GetTextLabel2() {return LocalText::texts["Label2"];}

		static std::string& GetTextLabel5() {return LocalText::texts["Label5"];}

		static std::string& GetTextOpt1Predef() {return LocalText::texts["Opt1Predef"];}

		static std::string& GetTextOpt2Calibrate() {return LocalText::texts["Opt2Calibrate"];}

		static std::string& GetTextOpt3Linear() {return LocalText::texts["Opt3Linear"];}

		static std::string& GetTextTxtTemperature() {return LocalText::texts["TxtTemperature"];}

		static std::string& GetTextCmdPreview() {return LocalText::texts["CmdPreview"];}

		static std::string& GetTextCmbCC() {return LocalText::texts["CmbCC"];}

		static std::string& GetTextBtnHelp() {return LocalText::texts["BtnHelp"];}

		static std::string& GetTextCmdTutorial() {return LocalText::texts["CmdTutorial"];}

		static std::string& GetTextBtnManual() {return LocalText::texts["BtnManual"];}

		static std::string& GetTextFicListe() {return LocalText::texts["FicListe"];}

		static std::string& GetTextChkRemoveWatermark() {return LocalText::texts["ChkRemoveWatermark"];}

		static std::string& GetTextToolTipBlendingStrength() {return LocalText::texts["ToolTipBlendingStrength"];}

		static std::string& GetTextSldSmooth2() {return LocalText::texts["SldSmooth2"];}

		static std::string& GetTextSldSigma() {return LocalText::texts["SldSigma"];}

		static std::string& GetTextHLPTMMC() {return LocalText::texts["HLP_TM_MC"];}

		static std::string& GetTextHLPTMLUMIN() {return LocalText::texts["HLP_TM_LUMIN"];}

		static std::string& GetTextHLPTMSTRE() {return LocalText::texts["HLP_TM_STRE"];}

		static std::string& GetTextCmdLoad() {return LocalText::texts["CmdLoad"];}

		static std::string& GetTextCmdPrevious() {return LocalText::texts["CmdPrevious"];}

		static std::string& GetTextCmdDef() {return LocalText::texts["CmdDef"];}

		static std::string& GetTextChkSaveSettings() {return LocalText::texts["ChkSaveSettings"];}

		static std::string& GetTextCmbRadius() {return LocalText::texts["CmbRadius"];}

		static std::string& GetTextChkOutputAlign() {return LocalText::texts["ChkOutputAlign"];}

		static std::string& GetTextCmbKmax() {return LocalText::texts["CmbKmax"];}

		static std::string& GetTextToolTipProcessSubfoldersOptions() {return LocalText::texts["ToolTipProcessSubfoldersOptions"];}

		static std::string& GetTextToolTipCheckProcessSubfolders() {return LocalText::texts["ToolTipCheckProcessSubfolders"];}

		static std::string& GetTextOptSame() {return LocalText::texts["OptSame"];}

		static std::string& GetTextCmbFormat() {return LocalText::texts["CmbFormat"];}

		static std::string& GetTextPctVignette() {return LocalText::texts["PctVignette"];}

		static std::string& GetTextToolTipPrefRawQuality() {return LocalText::texts["ToolTipPrefRawQuality"];}

		static std::string& GetTextToolTipPrefRawColorSpace() {return LocalText::texts["ToolTipPrefRawColorSpace"];}

		static std::string& GetTextToolTipPrefRawWB() {return LocalText::texts["ToolTipPrefRawWB"];}

		static std::string& GetTextToolTipPrefFileThreshold2() {return LocalText::texts["ToolTipPrefFileThreshold2"];}

		static std::string& GetTextToolTipPrefFileThreshold1() {return LocalText::texts["ToolTipPrefFileThreshold1"];}

		static std::string& GetTextToolTipPrefBatchSticky() {return LocalText::texts["ToolTipPrefBatchSticky"];}

		static std::string& GetTextToolTipIntensiveRadius() {return LocalText::texts["ToolTipIntensiveRadius"];}

		static std::string& GetTextToolTipGhostingDetection() {return LocalText::texts["ToolTipGhostingDetection"];}

		static std::string& GetTextToolTipGhostingOption2() {return LocalText::texts["ToolTipGhostingOption2"];}

		static std::string& GetTextToolTipGhostingOption1() {return LocalText::texts["ToolTipGhostingOption1"];}

		static std::string& GetTextToolTipCheckGhosting() {return LocalText::texts["ToolTipCheckGhosting"];}

		static std::string& GetTextToolTipAlignCrop() {return LocalText::texts["ToolTipAlignCrop"];}

		static std::string& GetTextToolTipAlignOption2() {return LocalText::texts["ToolTipAlignOption2"];}

		static std::string& GetTextToolTipAlignOption1() {return LocalText::texts["ToolTipAlignOption1"];}

		static std::string& GetTextToolTipCheckAlign() {return LocalText::texts["ToolTipCheckAlign"];}

		static std::string& GetTextScratchDiskDefaultText() {return LocalText::texts["ScratchDiskDefaultText"];}

		static std::string& GetTextScratchDiskGbFreeText() {return LocalText::texts["ScratchDiskGbFreeText"];}

		static std::string& GetTextToolTipScratchDisk() {return LocalText::texts["ToolTipScratchDisk"];}

		static std::string& GetTextBatchSelectFiles() {return LocalText::texts["BatchSelectFiles"];}

		static std::string& GetTextBatchSelectFolder() {return LocalText::texts["BatchSelectFolder"];}

		static std::string& GetTextMSGCONVEND4() {return LocalText::texts["MSG_CONV_END4"];}

		static std::string& GetTextMSGCONVEND3() {return LocalText::texts["MSG_CONV_END3"];}

		static std::string& GetTextMSGCONVEND2() {return LocalText::texts["MSG_CONV_END2"];}

		static std::string& GetTextMSGCONVEND1() {return LocalText::texts["MSG_CONV_END1"];}

		static std::string& GetTextMSGCONVERRTM2() {return LocalText::texts["MSG_CONV_ERRTM2"];}

		static std::string& GetTextMSGCONVERRTM() {return LocalText::texts["MSG_CONV_ERRTM"];}

		static std::string& GetTextMSGCONVNOOK() {return LocalText::texts["MSG_CONV_NOOK"];}

		static std::string& GetTextMSGCONVTM2() {return LocalText::texts["MSG_CONV_TM2"];}

		static std::string& GetTextMSGCONVTM1() {return LocalText::texts["MSG_CONV_TM1"];}

		static std::string& GetTextMSGCONVCONV() {return LocalText::texts["MSG_CONV_CONV"];}

		static std::string& GetTextFILECONVRESFOLDER() {return LocalText::texts["FILE_CONV_RESFOLDER"];}

		static std::string& GetTextMsgConvErrNoInput() {return LocalText::texts["MsgConvErrNoInput"];}

		static std::string& GetTextHLPBATCHCONVERT() {return LocalText::texts["HLP_BATCH_CONVERT"];}

		static std::string& GetTextHLPBATCHN2() {return LocalText::texts["HLP_BATCH_N2"];}

		static std::string& GetTextHLPBATCHN1() {return LocalText::texts["HLP_BATCH_N1"];}

		static std::string& GetTextMSGBATCHERRCOMP() {return LocalText::texts["MSG_BATCH_ERRCOMP"];}

		static std::string& GetTextMSGBATCHERRSIZE() {return LocalText::texts["MSG_BATCH_ERRSIZE"];}

		static std::string& GetTextMSGBATCHERRLOAD() {return LocalText::texts["MSG_BATCH_ERRLOAD"];}

		static std::string& GetTextMSGBATCHERRINFO() {return LocalText::texts["MSG_BATCH_ERRINFO"];}

		static std::string& GetTextMSGBATCHERREV() {return LocalText::texts["MSG_BATCH_ERREV"];}

		static std::string& GetTextMSGBATCHERRSTRIP() {return LocalText::texts["MSG_BATCH_ERRSTRIP"];}

		static std::string& GetTextMSGBATCHERRTM2() {return LocalText::texts["MSG_BATCH_ERRTM2"];}

		static std::string& GetTextMSGBATCHERRTM1() {return LocalText::texts["MSG_BATCH_ERRTM1"];}

		static std::string& GetTextMSGBATCHMEMTM() {return LocalText::texts["MSG_BATCH_MEMTM"];}

		static std::string& GetTextMSGBATCHTM2() {return LocalText::texts["MSG_BATCH_TM2"];}

		static std::string& GetTextMSGBATCHTM1() {return LocalText::texts["MSG_BATCH_TM1"];}

		static std::string& GetTextMsgBatchStripProcess() {return LocalText::texts["MsgBatchStripProcess"];}

		static std::string& GetTextMsgBatchStripHdri() {return LocalText::texts["MsgBatchStripHdri"];}

		static std::string& GetTextMSGBATCHHDRI() {return LocalText::texts["MSG_BATCH_HDRI"];}

		static std::string& GetTextMSGBATCHNOEXIF() {return LocalText::texts["MSG_BATCH_NOEXIF"];}

		static std::string& GetTextMSGBATCHAUTO() {return LocalText::texts["MSG_BATCH_AUTO"];}

		static std::string& GetTextMSGBATCHADJUST() {return LocalText::texts["MSG_BATCH_ADJUST"];}

		static std::string& GetTextMSGBATCHAVE() {return LocalText::texts["MSG_BATCH_AVE"];}

		static std::string& GetTextMSGBATCHINTENSIVE() {return LocalText::texts["MSG_BATCH_INTENSIVE"];}

		static std::string& GetTextMSGBATCHALIGN() {return LocalText::texts["MSG_BATCH_ALIGN"];}

		static std::string& GetTextMSGBATCHNOLOAD() {return LocalText::texts["MSG_BATCH_NOLOAD"];}

		static std::string& GetTextMsgBatchRawLoading() {return LocalText::texts["MsgBatchRawLoading"];}

		static std::string& GetTextMsgBatchLoading() {return LocalText::texts["MsgBatchLoading"];}

		static std::string& GetTextMSGBATCHDIM() {return LocalText::texts["MSG_BATCH_DIM"];}

		static std::string& GetTextMSGBATCHCHAN() {return LocalText::texts["MSG_BATCH_CHAN"];}

		static std::string& GetTextMSGBATCHDEPTH() {return LocalText::texts["MSG_BATCH_DEPTH"];}

		static std::string& GetTextMSGBATCHEXT() {return LocalText::texts["MSG_BATCH_EXT"];}

		static std::string& GetTextMSGBATCHALPHA() {return LocalText::texts["MSG_BATCH_ALPHA"];}

		static std::string& GetTextMSGBATCH16BIT() {return LocalText::texts["MSG_BATCH_16BIT"];}

		static std::string& GetTextMSGBATCHRAW2() {return LocalText::texts["MSG_BATCH_RAW2"];}

		static std::string& GetTextMSGBATCHRAW1() {return LocalText::texts["MSG_BATCH_RAW1"];}

		static std::string& GetTextMSGBATCHSTOP() {return LocalText::texts["MSG_BATCH_STOP"];}

		static std::string& GetTextMSGBATCHENDERROR() {return LocalText::texts["MSG_BATCH_ENDERROR"];}

		static std::string& GetTextMSGBATCHEND() {return LocalText::texts["MSG_BATCH_END"];}

		static std::string& GetTextMsgBatchErrNumberOfFiles() {return LocalText::texts["MsgBatchErrNumberOfFiles"];}

		static std::string& GetTextMSGBATCHNOSUBFOLDER() {return LocalText::texts["MSG_BATCH_NOSUBFOLDER"];}

		static std::string& GetTextMSGBATCHPROCFOLDER() {return LocalText::texts["MSG_BATCH_PROCFOLDER"];}

		static std::string& GetTextMSGBATCHSTRIPNOTIFF() {return LocalText::texts["MSG_BATCH_STRIP_NOTIFF"];}

		static std::string& GetTextMSGBATCHSTRIPGHOST() {return LocalText::texts["MSG_BATCH_STRIP_GHOST"];}

		static std::string& GetTextMSGBATCHSTRIPALIGN() {return LocalText::texts["MSG_BATCH_STRIP_ALIGN"];}

		static std::string& GetTextMSGBATCHSTRIPEXR() {return LocalText::texts["MSG_BATCH_STRIP_EXR"];}

		static std::string& GetTextMSGBATCHWARNSEL2() {return LocalText::texts["MSG_BATCH_WARNSEL2"];}

		static std::string& GetTextMSGBATCHWARNSEL1() {return LocalText::texts["MSG_BATCH_WARNSEL1"];}

		static std::string& GetTextFILEBATCHENH() {return LocalText::texts["FILE_BATCH_ENH"];}

		static std::string& GetTextFILEBATCHLIGHT() {return LocalText::texts["FILE_BATCH_LIGHT"];}

		static std::string& GetTextFILEBATCHADJUST() {return LocalText::texts["FILE_BATCH_ADJUST"];}

		static std::string& GetTextFILEBATCHAUTO() {return LocalText::texts["FILE_BATCH_AUTO"];}

		static std::string& GetTextFILEBATCHAVE() {return LocalText::texts["FILE_BATCH_AVE"];}

		static std::string& GetTextFILEBATCHFROM() {return LocalText::texts["FILE_BATCH_FROM"];}

		static std::string& GetTextFILEBATCHRESFOLDER() {return LocalText::texts["FILE_BATCH_RESFOLDER"];}

		static std::string& GetTextMSGBATCHERRCODE() {return LocalText::texts["MSG_BATCH_ERRCODE"];}

		static std::string& GetTextMSGBATCHNOFILE2() {return LocalText::texts["MSG_BATCH_NOFILE2"];}

		static std::string& GetTextMSGBATCHNOFILE1() {return LocalText::texts["MSG_BATCH_NOFILE1"];}

		static std::string& GetTextCMBSELECTBLENDING() {return LocalText::texts["CMB_SELECT_BLENDING"];}

		static std::string& GetTextCMBTMMETHOD3() {return LocalText::texts["CMB_TM_METHOD3"];}

		static std::string& GetTextCMBTMMETHOD2() {return LocalText::texts["CMB_TM_METHOD2"];}

		static std::string& GetTextCMBTMMETHOD1() {return LocalText::texts["CMB_TM_METHOD1"];}

		static std::string& GetTextCMBGHOSTHIGH() {return LocalText::texts["CMB_GHOST_HIGH"];}

		static std::string& GetTextCMBGHOSTNORMAL() {return LocalText::texts["CMB_GHOST_NORMAL"];}

		static std::string& GetTextCMBWBCUSTOM() {return LocalText::texts["CMB_WB_CUSTOM"];}

		static std::string& GetTextCMBWBFLUO() {return LocalText::texts["CMB_WB_FLUO"];}

		static std::string& GetTextCMBWBTUNGSTEN() {return LocalText::texts["CMB_WB_TUNGSTEN"];}

		static std::string& GetTextCMBWBSHADE() {return LocalText::texts["CMB_WB_SHADE"];}

		static std::string& GetTextCMBWBCLOUDY() {return LocalText::texts["CMB_WB_CLOUDY"];}

		static std::string& GetTextCMBWBDAYLIGHT() {return LocalText::texts["CMB_WB_DAYLIGHT"];}

		static std::string& GetTextCMBWBAUTO() {return LocalText::texts["CMB_WB_AUTO"];}

		static std::string& GetTextCMBWBASSHOT() {return LocalText::texts["CMB_WB_ASSHOT"];}

		static std::string& GetTextCMBTMVL() {return LocalText::texts["CMB_TM_VL"];}

		static std::string& GetTextCMBTML() {return LocalText::texts["CMB_TM_L"];}

		static std::string& GetTextCMBTMM() {return LocalText::texts["CMB_TM_M"];}

		static std::string& GetTextCMBTMH() {return LocalText::texts["CMB_TM_H"];}

		static std::string& GetTextCMBTMVH() {return LocalText::texts["CMB_TM_VH"];}

		static std::string& GetTextTXTTMCONTRAST() {return LocalText::texts["TXT_TM_CONTRAST"];}

		static std::string& GetTextTXTTMCOMPRESSION() {return LocalText::texts["TXT_TM_COMPRESSION"];}

		static std::string& GetTextTXTTMBRIGHTNESS() {return LocalText::texts["TXT_TM_BRIGHTNESS"];}

		static std::string& GetTextTXTTMLUMIN() {return LocalText::texts["TXT_TM_LUMIN"];}

		static std::string& GetTextTXTTMCS() {return LocalText::texts["TXT_TM_CS"];}

		static std::string& GetTextTXTTMSTRENGTH() {return LocalText::texts["TXT_TM_STRENGTH"];}

		static std::string& GetTextTXTFILENAMEMORE() {return LocalText::texts["TXT_FILENAME_MORE"];}

		static std::string& GetTextTXTFILENAMEAND() {return LocalText::texts["TXT_FILENAME_AND"];}

		static std::string& GetTextTXTHDRCURVE() {return LocalText::texts["TXT_HDR_CURVE"];}

		static std::string& GetTextTXTRESIZED() {return LocalText::texts["TXT_RESIZED"];}

		static std::string& GetTextTXTRESIZE() {return LocalText::texts["TXT_RESIZE"];}

		static std::string& GetTextTXTALIGNED() {return LocalText::texts["TXT_ALIGNED"];}

		static std::string& GetTextTXTREFRESH() {return LocalText::texts["TXT_REFRESH"];}

		static std::string& GetTextTXT48COMP() {return LocalText::texts["TXT_48COMP"];}

		static std::string& GetTextTXTHDRI() {return LocalText::texts["TXT_HDRI"];}

		static std::string& GetTextTXTINTENS() {return LocalText::texts["TXT_INTENS"];}

		static std::string& GetTextTXTADJUST() {return LocalText::texts["TXT_ADJUST"];}

		static std::string& GetTextTXTAUTO() {return LocalText::texts["TXT_AUTO"];}

		static std::string& GetTextTXTHS2() {return LocalText::texts["TXT_HS2"];}

		static std::string& GetTextTXTAVE() {return LocalText::texts["TXT_AVE"];}

		static std::string& GetTextTXTSECONDS() {return LocalText::texts["TXT_SECONDS"];}

		static std::string& GetTextTXTMINUTES() {return LocalText::texts["TXT_MINUTES"];}

		static std::string& GetTextTXTCROPHDR() {return LocalText::texts["TXT_CROPHDR"];}

		static std::string& GetTextTXTSAVEHDR() {return LocalText::texts["TXT_SAVEHDR"];}

		static std::string& GetTextTXTCOMBIHDR() {return LocalText::texts["TXT_COMBI_HDR"];}

		static std::string& GetTextTXTCALC() {return LocalText::texts["TXT_CALC"];}

		static std::string& GetTextTXTDISPL() {return LocalText::texts["TXT_DISPL"];}

		static std::string& GetTextTXTLOADTHUMB2() {return LocalText::texts["TXT_LOAD_THUMB2"];}

		static std::string& GetTextTXTLOADTHUMB1() {return LocalText::texts["TXT_LOAD_THUMB1"];}

		static std::string& GetTextTXTLOAD3() {return LocalText::texts["TXT_LOAD3"];}

		static std::string& GetTextTXTLOAD2() {return LocalText::texts["TXT_LOAD2"];}

		static std::string& GetTextTXTALIGN() {return LocalText::texts["TXT_ALIGN"];}

		static std::string& GetTextTXTRAW2() {return LocalText::texts["TXT_RAW2"];}

		static std::string& GetTextTXTRAW() {return LocalText::texts["TXT_RAW"];}

		static std::string& GetTextTXTLOAD() {return LocalText::texts["TXT_LOAD"];}

		static std::string& GetTextTXTOPENALLTYPE() {return LocalText::texts["TXT_OPEN_ALLTYPE"];}

		static std::string& GetTextTXTBROWSELDR() {return LocalText::texts["TXT_BROWSE_LDR"];}

		static std::string& GetTextTextBtnUpgradeInfo() {return LocalText::texts["TextBtnUpgradeInfo"];}

		static std::string& GetTextMsgRegistrationUpgradeError() {return LocalText::texts["MsgRegistrationUpgradeError"];}

		static std::string& GetTextMSGREGERR() {return LocalText::texts["MSG_REG_ERR"];}

		static std::string& GetTextMSGREGOK() {return LocalText::texts["MSG_REG_OK"];}

		static std::string& GetTextMSGFPTIF() {return LocalText::texts["MSG_FPTIF"];}

		static std::string& GetTextMSGCROP() {return LocalText::texts["MSG_CROP"];}

		static std::string& GetTextMSGSAVE() {return LocalText::texts["MSG_SAVE"];}

		static std::string& GetTextMsgErrRawBlending() {return LocalText::texts["MsgErrRawBlending"];}

		static std::string& GetTextMSGERR1LDR() {return LocalText::texts["MSG_ERR_1LDR"];}

		static std::string& GetTextMSGERRLOAD() {return LocalText::texts["MSG_ERR_LOAD"];}

		static std::string& GetTextMSGERRFORMAT() {return LocalText::texts["MSG_ERR_FORMAT"];}

		static std::string& GetTextMSGERRCHANNELS() {return LocalText::texts["MSG_ERR_CHANNELS"];}

		static std::string& GetTextMSGERRDEPTH() {return LocalText::texts["MSG_ERR_DEPTH"];}

		static std::string& GetTextMSGERRDIM() {return LocalText::texts["MSG_ERR_DIM"];}

		static std::string& GetTextMSGERRTIFCOMP2() {return LocalText::texts["MSG_ERR_TIF_COMP2"];}

		static std::string& GetTextMSGERRTIFCOMP1() {return LocalText::texts["MSG_ERR_TIF_COMP1"];}

		static std::string& GetTextMSGERROPEN() {return LocalText::texts["MSG_ERR_OPEN"];}

		static std::string& GetTextXmpLoadUnknownError() {return LocalText::texts["XmpLoadUnknownError"];}

		static std::string& GetTextXmpLoadInvalidFile() {return LocalText::texts["XmpLoadInvalidFile"];}

		static std::string& GetTextXmpLoadWrongMethod() {return LocalText::texts["XmpLoadWrongMethod"];}

		static std::string& GetTextXmpLoadNoFile() {return LocalText::texts["XmpLoadNoFile"];}

		static std::string& GetTextXmpLoadErrorText() {return LocalText::texts["XmpLoadErrorText"];}

		static std::string& GetTextUtilsSelectRectangle() {return LocalText::texts["UtilsSelectRectangle"];}

		static std::string& GetTextGenHdrCancelText() {return LocalText::texts["GenHdrCancelText"];}
		
		static std::string& GetTextReduceNoiseBeforeToneMapping() {return LocalText::texts["TextReduceNoiseBeforeToneMapping"];}
	};
}

#endif // LOCALTEXT_H
