#ifndef PHOTOMATIXCONSTANTS_H
#define PHOTOMATIXCONSTANTS_H


#include <vector>
#include <string>


namespace PhotomatixMisc
{
	const int LdrMax=65536;
	
	const int ExpositionLength=7;
	
	const int XmpParamsLength=60;
	const int LumParamMax=10;
	
	const int Exif0Length=23;
	const int ModelLength=64;
	const int TimeLength=20;
	const int IptcTagHeaderLength=5;
	const int BlendingParamsLength=9;
	const int LensBufferLength = 64;
	
	const int ExifLength=Exif0Length+(ModelLength+TimeLength+LensBufferLength)/4;
	
	const int RawInfo0Length = (20 + ((3 + 3 + 1) * 2) + 1);
	
	const int Gps0Length=((6*3) + 2);
	const int GpsLength=Gps0Length+1+3;
	const int ImageInfoLength=RawInfo0Length+(ModelLength+TimeLength+LensBufferLength)/4;
	
	const int ImageLoadTime = 20;
	const int ImageDenoiseTime = 100;
	const int ImageReduceChromaticAberrationsTime = 100;

	/// Index in the Exif Buffer of the offset of the Thumbnail image.
	const int IndexExifThumbOffset = 16;
	/// Index in the Exif Buffer of the length of the Thumbnail image.
	const int IndexExifThumbLength=17;

	// Number of elements in array
	#define ARRSIZE(x) (sizeof(x)/sizeof(*(x)))
#ifndef WIN32
	const std::vector<std::string> JpegExtensions = {"jpg", "jpe", "jpeg"};
	const std::vector<std::string> TiffExtensions = {"tif", "tiff"};
	const std::vector<std::string> RawExtensions = {"crw", "cr2", "nef", "nrw", "raf", "orf", "srf", "sr2", "arw", "pef", "mrw", "dcr", "kdc", "x3f", "raw", "rw2", "rwl", "dng", "fff", "3fr"};
	const std::vector<std::string> PsdExtensions = {"psd", "psb"};
	const std::vector<std::string> HdrExtensions = {"hdr"};
#else
	const std::string jpgs[] = {"jpg", "jpe", "jpeg"};
	const std::string tiffs[] = {"tif", "tiff"};
	const std::string raws[] = {"crw", "cr2", "nef", "nrw", "raf", "orf", "srf", "sr2", "arw", "pef", "mrw", "dcr", "kdc", "x3f", "raw", "rw2", "rwl", "dng", "fff", "3fr"};
	const std::string psds[] = {"psd", "psb"};
	const std::string hdrs[] = {"hdr"};

	const std::vector<std::string> JpegExtensions(jpgs, jpgs + ARRSIZE(jpgs));
	const std::vector<std::string> TiffExtensions(tiffs, tiffs + ARRSIZE(tiffs));
	const std::vector<std::string> RawExtensions(raws, raws + ARRSIZE(raws));
	const std::vector<std::string> PsdExtensions(psds, psds + ARRSIZE(psds));
	const std::vector<std::string> HdrExtensions(hdrs, hdrs + ARRSIZE(hdrs));
#endif
	
	const double AllowedPhotoSizeVariation = 1.05;

#ifdef WIN32
	const std::string PathSeparator = "\\";
#else
	const std::string PathSeparator = "//";
#endif
}


#endif